Поддержка bbPress Обновление bbpress до бетта

  • После перехода на php7 bbpress стал выдавать ошибку 500, была дана рекомендация обновится до бетта версии, отсюда соответственно вопрос,
    Как обновить форум до бетта версии без потери тем и топиков? Поскольку плагин надо переустанавливать, а как известно с удалением плагина удалятся и топики.

    • Тема изменена 6 мес., 2 нед. назад пользователем  SeVlad. Причина: перенос в подходящий раздел
Просмотр 2 ответов — с 1 по 2 (всего 2)
  • Вот лог проблемы;
    [Tue May 02 20:41:06.679040 2017] [php7:error] [pid 11462] [client 141.8.142.23:59153] PHP Fatal error: Uncaught Error: [] operator not supported for strings in /home/bert242/domains/xn--39-dlclzgfiicbq4ac.xn--p1ai/public_html/wp-content/plugins/bbpress/includes/forums/functions.php:1800\nStack trace:\n#0 /home/bert242/domains/xn--39-dlclzgfiicbq4ac.xn--p1ai/public_html/wp-includes/class-wp-hook.php(298): bbp_pre_get_posts_normalize_forum_visibility(Object(WP_Query))\n#1 /home/bert242/domains/xn--39-dlclzgfiicbq4ac.xn--p1ai/public_html/wp-includes/class-wp-hook.php(323): WP_Hook->apply_filters(NULL, Array)\n#2 /home/bert242/domains/xn--39-dlclzgfiicbq4ac.xn--p1ai/public_html/wp-includes/plugin.php(515): WP_Hook->do_action(Array)\n#3 /home/bert242/domains/xn--39-dlclzgfiicbq4ac.xn--p1ai/public_html/wp-includes/class-wp-query.php(1681): do_action_ref_array(‘pre_get_posts’, Array)\n#4 /home/bert242/domains/xn--39-dlclzgfiicbq4ac.xn--p1ai/public_html/wp-includes/class-wp-query.php(3238): WP_Query->get_posts()\n#5 /home/bert242/domains/xn--39-dlclzgfiicbq4ac.xn--p1ai/public_html/wp-includes/class-wp.php(617): WP_Query->que in /home/bert242/domains/xn--39-dlclzgfiicbq4ac.xn--p1ai/public_html/wp-content/plugins/bbpress/includes/forums/functions.php on line 1800

    @kotlomaster

    а как известно с удалением плагина удалятся и топики.

    Ничего не удалится — не бойтесь.

    Скачать бету (bbPress 2.6 Release Candidate 3) можно тут: https://bbpress.org/forums/topic/bbpress-2-6-beta/
    тут: https://bbpress.org/download/
    и тут: https://ru.wordpress.org/plugins/bbpress/advanced/ (внизу)

    Просто деактивируете и удаляете старую версию и устанавливаете новую через загрузку zip-архива.

    Скоро выйдет официальная версия 2.6, она уже потом сама из админки обновится.

    • Ответ изменён 5 мес. назад пользователем  Airat Halitov.
Просмотр 2 ответов — с 1 по 2 (всего 2)